Package dev.plex.services.impl

# Class GameRuleService

java.lang.Object
dev.plex.services.AbstractService
dev.plex.services.impl.GameRuleService

All Implemented Interfaces:
  `PlexBase`, `IService`

public class GameRuleService extends AbstractService

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`GameRuleService()`

## Method Summary

Modifier and Type
Method
Description
`int`
`repeatInSeconds()`
`void`
`run(io.papermc.paper.threadedregions.scheduler.ScheduledTask task)`

### Methods inherited from class dev.plex.services.AbstractService

`onEnd, onStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GameRuleService

public GameRuleService()

## Method Details

### run

public void run(io.papermc.paper.threadedregions.scheduler.ScheduledTask task)

### repeatInSeconds

public int repeatInSeconds()